- Home
- API Enriched
- Tenant And Identity
- web
- Cascade DELETE.
Cascade DELETE.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/cascade_delete';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/cascade_delete \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example" }'CascadeDelete will DELETE the namespace and all configuration objects like virtual_hosts etc. Under it. Use this only if the entire namespace and its contents are to be wiped out.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Name The name of the namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”CascadeDeleteRequest contains the name of the namespace that has to be deleted along with the objects configured under the namespace.
object
The name of the namespace.
Examplegenerated
{ "name": "example"}Responses
Section titled “Responses”A successful response.
CascadeDeleteResponse contains a list of objects in the namespace that were deleted (or encountered an error while deleting)
object
The objects deleted in namespace.
CascadeDeleteItemType is details of object that was handled as part of cascade DELETE of namespace and whether it was successfully deleted.
object
A description of the error encountered (if any) in the process of cascade deletion.
Name of the configuration object that was deleted.
The type of the contained configuration object in the namespace that was deleted.
The UID identifier of the configuration object that was deleted.
Examplegenerated
{ "items": [ { "error_message": "example", "object_name": "example", "object_type": "example", "object_uid": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example